A student's open lab: learning and sharing, free for everyone.

SIP UniverseFree University

Home / SDP and offer/answer / Offer/answer pitfalls in RFC 6337

Offer/answer pitfalls in RFC 6337

RFC 6337 is the usage document for offer/answer mistakes: order, version, delayed offer, and hold.

Learn in 5 minutes

  1. Increment the SDP session version when the description changes
  2. Tell an early offer from a delayed offer
  3. Stop using a zero connection address as hold

Visual

Delayed offer, then the ACK answer · study drawing · cyphermonkeylabs.com AliceCarrier INVITE 100 200 ACK

SVG HTML PNG

RFC 3264 is the rule. RFC 6337 is where the same mistakes show up in real exchanges.

Worked example

Find the delayed offer This INVITE has an empty body. Decide where the offer is allowed to appear.

  1. Dissect the INVITE.
  2. Confirm Content-Length is 0.
  3. Name the message that will carry the offer.

Fault

A re-INVITE changes a=sendrecv to a=sendonly but o= still says session version 2890844526. The peer keeps sending media.

RFC 8866 uses sess-version to signal a modified session description.

Quiz

RFC 6337 is best used as


When a new SDP differs from the previous one, you


An INVITE with no SDP means


Matching payload type 96 to payload type 96 without rtpmap


Hold in a current offer uses


Deleting a rejected m-line


Ecosystem

Glossary, sister systems, and the integration seam for this room.

Workforce management WFM forecasts volume and builds schedules. It consumes contact-center events. It does not parse Via headers. When a forecast is wrong, the SIP symptom is usually queue delay and 480 or carrier congestion, not a broken dialog ID.

Programmable communications APIs Twilio’s docs home is API reference, tutorials, and integration for Twilio products. Elastic SIP Trunking is the SIP-shaped product already cited in this lab. This page does not define the word CPaaS from an RFC. Read the vendor page before you copy a diagram that uses that word.

Glossary · Ecosystem map · Ports · Troubleshooting

Sources and go deeper